"""Declares :class:`AESKeyWrapAlgorithm`."""
from .. import ops
from .encryptionalgorithm import EncryptionAlgorithm


class AESKeyWrapAlgorithm(EncryptionAlgorithm):
    __module__: str = 'ckms.algorithms'

    def __init__(self):
        super().__init__(wrap=True)

    def get_decrypt_operation(
        self,
        data: ops.Ciphertext,
        **kwargs
    ) -> ops.KeyUnwrapOperation:
        """Instantiate the :class:`ckms.ops.Operation` implementation that
        is performed by this :class:`AESKeyWrapAlgorithm`.
        """
        return ops.KeyUnwrapOperation(data, **kwargs)

    def get_encrypt_operation(
        self,
        data: ops.Plaintext,
        **kwargs
    ) -> ops.KeyWrapOperation:
        """Instantiate the :class:`ckms.ops.Operation` implementation that
        is performed by this :class:`EncryptionAlgorithm`.
        """
        return ops.KeyWrapOperation(data, **kwargs)