"""Declares :class:`EllipticCurveSigningAlgorithm`."""
import typing

from .. import ops
from .signingalgorithm import SigningAlgorithm


class EllipticCurveSigningAlgorithm(SigningAlgorithm):
    __module__: str = 'ckms.algorithms'

    def get_signing_parameters(
        self,
        key: 'KeySpecification',
        data: typing.Union[ops.Digest, ops.Message]
    ) -> dict:
        """Hook to provide parameters to :class:`ckms.ops.SigningAlgorithm`."""
        return {
            'algorithm': self.algorithm
        }