"""Declares :class:`HMACSigningAlgorithm`."""
import typing

from .. import ops
from .signingalgorithm import SigningAlgorithm


class HMACSigningAlgorithm(SigningAlgorithm):
    __module__: str = 'ckms.algorithms'

    def __init__(
        self,
        algorithm: typing.Literal['sha256', 'sha384', 'sha512'],
    ):
        self._algorithm = algorithm

    def get_signing_parameters(
        self,
        key: 'KeySpecification',
        data: typing.Union[ops.Digest, ops.Message]
    ) -> dict:
        """Hook to provide parameters to :class:`ckms.ops.SigningAlgorithm`."""
        return {
            'algorithm': self.algorithm
        }