"""Declares :class:`ClaimDescriptor`."""
import typing

from .exceptions import InvalidClaimType


class ClaimDescriptor:

    def __init__(self, claim: str, types: typing.List[type] = None):
        self.claim = claim
        self.types = tuple(types or [])

    def __get__(self, instance, cls=None):
        if instance is None: # pragma: no cover
            return self
        if self.claim not in instance.claims:
            return None
        value = instance.claims.get(self.claim)
        if self.types and not isinstance(value, self.types):
            raise InvalidClaimType(self.claim)
        return value
