"""Declares :class:`Keychain`."""
import asyncio
import typing

from . import algorithms
from . import ops
from . import providers
from .basekeyset import BaseKeySet


class Keychain(BaseKeySet):
    """Provides an interface to register and lookup private and public keys."""
    __module__: str = 'ckms'

    def random(self, length: int, using: str) -> bytes:
        """Return a sequence of random bytes using the given provider."""
        op = ops.RandomOperation(length)
        return op.execute(self.get_provider(using))
