"""Declares :class:`KeyMetadata`."""
import typing

import pydantic


class KeyMetadata(pydantic.BaseModel):
    alg: typing.Optional[str] = None
    kid: typing.Optional[str] = None
    crv: typing.Optional[str] = None
    public_kid: typing.Optional[str] = None

    def get_signing_kid(self) -> str:
        """Return a string containing the public key identifier of the signing
        key.
        """
        return self.public_kid