"""Declares :class:`Ciphertext`."""
from .data import Data


class Ciphertext(Data):
    __module__: str = 'ckms.ops'

    @property
    def aad(self):
        return self._aad

    @property
    def iv(self):
        return self._iv

    @property
    def tag(self):
        return self._tag

    def __init__(self, data: bytes, aad: bytes = None, iv: bytes = None, tag: bytes = None):
        super().__init__(data)
        self._aad = aad
        self._tag = tag
        self._iv = iv