"""Declares :class:`Data`."""


class Data:
    """The input data for a cryptographic operation."""
    __module__: str = 'ckms.ops'
    data: bytes

    def __init__(self, data: bytes):
        self.data = data

    async def get_data(self) -> bytes:
        """Return a byte-sequence holding the input data."""
        return self.data

    def __bytes__(self) -> bytes:
        return bytes(self.data)