"""Declares :class:`DecryptOperation`."""
import typing

from .ciphertext import Ciphertext
from .encryptoperation import EncryptOperation


class DecryptOperation(EncryptOperation):
    __module__: str = 'ckms.ops'
    supported_input = (Ciphertext,)


    async def execute(
        self,
        provider: 'Provider',
        key: 'KeySpecification'
    ) -> typing.Any:
        """Execute the operation using the given `provider` and `key`."""
        return await provider.decrypt(key, self)