"""Declares :class:`KeyUnwrapOperation`."""
import typing

from .operation import Operation
from .ciphertext import Ciphertext


class KeyUnwrapOperation(Operation):
    __module__: str = 'ckms.ops'
    supported_input: tuple = (Ciphertext,)

    async def execute(
        self,
        provider: 'Provider',
        key: 'KeySpecification'
    ) -> typing.Any:
        """Execute the operation using the given `provider` and `key`."""
        return await provider.unwrap_key(key, self)