"""Declares :class:`KeyWrapOperation`."""
import typing

from .operation import Operation
from .plaintext import Plaintext


class KeyWrapOperation(Operation):
    __module__: str = 'ckms.ops'
    supported_input: tuple = (Plaintext,)

    async def execute(
        self,
        provider: 'Provider',
        key: 'KeySpecification'
    ) -> typing.Any:
        """Execute the operation using the given `provider` and `key`."""
        return await provider.wrap_key(key, self)