"""Declares :class:`RandomOperation`."""
from .operation import Operation


class RandomOperation(Operation):
    """Instructs the provider to generate random bytes given the
    length specified to the constructor.
    """
    __module__: str = 'ckms.ops'

    def __init__(self, length: int):
        self.length = length

    async def execute(self, provider: 'Provider') -> bytes:
        return await provider.random(self)
