"""Declares :class:`Signable`."""
from cryptography.hazmat.primitives import hashes

from .data import Data


class Signable(Data):
    """Represents an object that is signable."""
    __module__: str = 'unimatrix.ext.kms.operations'

    async def get_data(self) -> bytes:
        """Return a byte-sequence holding the input data."""
        raise NotImplementedError

    async def get_digest(self, algorithm: str) -> bytes:
        """Return a byte-sequence holding the digest of the
        input data.
        """
        raise NotImplementedError
