"""Declares :class:`VerifyOperation`."""
import typing

from .data import Data
from .signoperation import SignOperation


class VerifyOperation(SignOperation):
    __module__: str = 'cbra.ops'
    signature: bytes

    def __init__(self, signature: bytes, data: Data, **kwargs):
        super().__init__(data, **kwargs)
        self.signature = signature

    async def execute(
        self,
        provider: 'Provider',
        key: 'KeySpecification'
    ) -> typing.Any:
        """Execute the operation using the given `provider` and `key`."""
        return await provider.verify(key, self)