# pylint: skip-file
import asyncio
import os

import pytest

import ckms


@pytest.fixture(scope="session")
def event_loop():
    return asyncio.get_event_loop()


@pytest.fixture
def data():
    return os.urandom(16)


@pytest.fixture(scope='session')
def keychain():
    return None


@pytest.fixture(scope='session')
def keyconfig():
    return {}


@pytest.fixture(scope='session', autouse=True)
async def setup_local_provider(keychain, keyconfig):
    if keychain is not None:
        await ckms.configure(keyconfig, keychain)