# pylint: skip-file
import pytest

from ckms import core
from ckms.core.local import LocalProvider
from ckms.core.random import RandomProvider


@pytest.mark.parametrize("name,cls", [
    ("local", LocalProvider),
    ("random", RandomProvider),
])
def test_lookup_default_providers(name: str, cls: type[core.Provider]):
    provider = core.provider(name)
    assert isinstance(provider, cls)


@pytest.mark.parametrize("name", [
    "local"
])
@pytest.mark.asyncio
async def test_provider_supports_random(name: str):
    provider = core.provider(name)
    assert len(await provider.random(16)) == 16
    assert isinstance(await provider.random_urlsafe(16), str)