# pytest: skip-file
import pytest

import ckms


@pytest.mark.parametrize("name,length", [
	('rsa2048', 1024)
])
@pytest.mark.asyncio
async def test_generate_rsa(name, length):
	keychain = ckms.Keychain()
	await ckms.configure({
		name: {
			'provider': "local",
			'kty': "RSA",
			'bit_length': length
		}
	}, keychain)


@pytest.mark.parametrize("name,crv", [
	('ec_p256k', "P-256K"),
	('ec_p256', "P-256"),
	('ec_p384', "P-384"),
	('ec_p521', "P-521"),
])
@pytest.mark.asyncio
async def test_generate_ec(name, crv):
	keychain = ckms.Keychain()
	await ckms.configure({
		name: {
			'provider': "local",
			'kty': "EC",
			'crv': crv
		}
	}, keychain)