# pylint: skip-file
import pytest

from ckms.jose import JOSEDeserializer
from ckms.jose import JSONWebSignature
from ckms.jose import JSONWebToken


def test_deserialize_compact_jwt(decoder, encoded_jwt):
    obj = decoder.deserialize_compact(encoded_jwt)
    assert isinstance(obj, JSONWebSignature)


@pytest.mark.asyncio
async def test_deserialize_compact_jwt_unsecured(codec, decoder, keychain):
    jwt = JSONWebToken(foo=1)
    payload = codec.encode(jwt)
    jws = await payload.sign(
        using=None,
        algorithm="none"
    )
    token = bytes(jws)
    obj = decoder.deserialize_compact(token)
    assert isinstance(obj, JSONWebSignature)
