# pylint: skip-file
import pytest


@pytest.mark.asyncio
async def test_get_digest_from_message_sha256(message, digest_sha256):
    assert await message.get_digest('sha256') == digest_sha256


@pytest.mark.asyncio
async def test_get_digest_from_message_sha384(message, digest_sha384):
    assert await message.get_digest('sha384') == digest_sha384


@pytest.mark.asyncio
async def test_get_digest_from_message_sha512(message, digest_sha512):
    assert await message.get_digest('sha512') == digest_sha512


@pytest.mark.asyncio
async def test_get_digest_raises_valueerror_on_unsupported(message):
    with pytest.raises(ValueError):
        await message.get_digest('foo')
        

@pytest.mark.asyncio
async def test_coerce_to_bytes(message, data):
    assert bytes(message) == data
        

@pytest.mark.asyncio
async def test_get_data(message, data):
    assert await message.get_data() == data
